## org.eclipse.jst.jsf.facesconfig.emf.impl
Class AttributeTypeImpl

    java.lang.Object
      EObjectImpl
          org.eclipse.jst.jsf.facesconfig.emf.impl.AttributeTypeImpl

All Implemented Interfaces:
  AttributeType

    public class AttributeTypeImpl

extends EObjectImpl
implements AttributeType

An implementation of the model object 'Attribute Type'.

The following features are implemented:

- `Description`
- `Display Name`
- `Icon`
- `Attribute Name`
- `Attribute Class`
- `Default Value`
- `Suggested Value`
- `Attribute Extension`
- `Id`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`NotificationChain` `basicSetAttributeClass(AttributeClassType newAttributeClass, NotificationChain msgs)`
`NotificationChain` `basicSetAttributeName(AttributeNameType newAttributeName, NotificationChain msgs)`
`NotificationChain` `basicSetDefaultValue(DefaultValueType newDefaultValue, NotificationChain msgs)`
`NotificationChain` `basicSetSuggestedValue(SuggestedValueType newSuggestedValue, NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`AttributeClassType` `getAttributeClass()`
`EList` `getAttributeExtension()`
`AttributeNameType` `getAttributeName()`
`DefaultValueType` `getDefaultValue()`
`EList` `getDescription()`
`EList` `getDisplayName()`
`EList` `getIcon()`
`java.lang.String` `getId()`
`SuggestedValueType` `getSuggestedValue()`
`void` `setAttributeClass(AttributeClassType newAttributeClass)`
`void` `setAttributeName(AttributeNameType newAttributeName)`
`void` `setDefaultValue(DefaultValueType newDefaultValue)`
`void` `setId(java.lang.String newId)`
`void` `setSuggestedValue(SuggestedValueType newSuggestedValue)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### copyright

    public static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getDescription

    public EList getDescription()

  Specified by:
    `getDescription` in interface `AttributeType`
  Returns:
    the value of the 'Description' containment reference list.
  See Also:
    `FacesConfigPackage.getAttributeType_Description()`

### getDisplayName

    public EList getDisplayName()

  Specified by:
    `getDisplayName` in interface `AttributeType`
  Returns:
    the value of the 'Display Name' containment reference list.
  See Also:
    `FacesConfigPackage.getAttributeType_DisplayName()`

### getIcon

    public EList getIcon()

  Specified by:
    `getIcon` in interface `AttributeType`
  Returns:
    the value of the 'Icon' containment reference list.
  See Also:
    `FacesConfigPackage.getAttributeType_Icon()`

### getAttributeName

    public AttributeNameType getAttributeName()

  Specified by:
    `getAttributeName` in interface `AttributeType`
  Returns:
    the value of the 'Attribute Name' containment reference.
  See Also:
    `AttributeType.setAttributeName(AttributeNameType)`, `FacesConfigPackage.getAttributeType_AttributeName()`

### basicSetAttributeName

    public NotificationChain basicSetAttributeName(AttributeNameType newAttributeName,
                                                   NotificationChain msgs)

  Parameters:
    `newAttributeName` -
    `msgs` -
  Returns:
    the notification chain

### setAttributeName

    public void setAttributeName(AttributeNameType newAttributeName)

  Specified by:
    `setAttributeName` in interface `AttributeType`
  Parameters:
    `newAttributeName` - the new value of the 'Attribute Name' containment reference.
  See Also:
    `AttributeType.getAttributeName()`

### getAttributeClass

    public AttributeClassType getAttributeClass()

  Specified by:
    `getAttributeClass` in interface `AttributeType`
  Returns:
    the value of the 'Attribute Class' containment reference.
  See Also:
    `AttributeType.setAttributeClass(AttributeClassType)`, `FacesConfigPackage.getAttributeType_AttributeClass()`

### basicSetAttributeClass

    public NotificationChain basicSetAttributeClass(AttributeClassType newAttributeClass,
                                                    NotificationChain msgs)

  Parameters:
    `newAttributeClass` -
    `msgs` -
  Returns:
    the notification chain

### setAttributeClass

    public void setAttributeClass(AttributeClassType newAttributeClass)

  Specified by:
    `setAttributeClass` in interface `AttributeType`
  Parameters:
    `newAttributeClass` - the new value of the 'Attribute Class' containment reference.
  See Also:
    `AttributeType.getAttributeClass()`

### getDefaultValue

    public DefaultValueType getDefaultValue()

  Specified by:
    `getDefaultValue` in interface `AttributeType`
  Returns:
    the value of the 'Default Value' containment reference.
  See Also:
    `AttributeType.setDefaultValue(DefaultValueType)`, `FacesConfigPackage.getAttributeType_DefaultValue()`

### basicSetDefaultValue

    public NotificationChain basicSetDefaultValue(DefaultValueType newDefaultValue,
                                                  NotificationChain msgs)

  Parameters:
    `newDefaultValue` -
    `msgs` -
  Returns:
    the notification chain

### setDefaultValue

    public void setDefaultValue(DefaultValueType newDefaultValue)

  Specified by:
    `setDefaultValue` in interface `AttributeType`
  Parameters:
    `newDefaultValue` - the new value of the 'Default Value' containment reference.
  See Also:
    `AttributeType.getDefaultValue()`

### getSuggestedValue

    public SuggestedValueType getSuggestedValue()

  Specified by:
    `getSuggestedValue` in interface `AttributeType`
  Returns:
    the value of the 'Suggested Value' containment reference.
  See Also:
    `AttributeType.setSuggestedValue(SuggestedValueType)`, `FacesConfigPackage.getAttributeType_SuggestedValue()`

### basicSetSuggestedValue

    public NotificationChain basicSetSuggestedValue(SuggestedValueType newSuggestedValue,
                                                    NotificationChain msgs)

  Parameters:
    `newSuggestedValue` -
    `msgs` -
  Returns:
    the notification chain

### setSuggestedValue

    public void setSuggestedValue(SuggestedValueType newSuggestedValue)

  Specified by:
    `setSuggestedValue` in interface `AttributeType`
  Parameters:
    `newSuggestedValue` - the new value of the 'Suggested Value' containment reference.
  See Also:
    `AttributeType.getSuggestedValue()`

### getAttributeExtension

    public EList getAttributeExtension()

  Specified by:
    `getAttributeExtension` in interface `AttributeType`
  Returns:
    the value of the 'Attribute Extension' containment reference list.
  See Also:
    `FacesConfigPackage.getAttributeType_AttributeExtension()`

### getId

    public java.lang.String getId()

  Specified by:
    `getId` in interface `AttributeType`
  Returns:
    the value of the 'Id' attribute.
  See Also:
    `AttributeType.setId(String)`, `FacesConfigPackage.getAttributeType_Id()`

### setId

    public void setId(java.lang.String newId)

  Specified by:
    `setId` in interface `AttributeType`
  Parameters:
    `newId` - the new value of the 'Id' attribute.
  See Also:
    `AttributeType.getId()`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

### eUnset

    public void eUnset(int featureID)

### eIsSet

    public boolean eIsSet(int featureID)

### toString

    public java.lang.String toString()